<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate

/** @var $block \Magento\Sales\Block\Order\Recent */
?>
<div class="block block-dashboard-orders">
    <?php
    $_orders = $block->getOrders();
    $count = count($_orders);
    ?>
    <div class="block-title order">
        <strong><?= $block->escapeHtml(__('Recent Books')) ?></strong>
        <?php if ($count > 0) : ?>
            <a class="action view" href="<?= $block->escapeUrl($block->getUrl('sales/order/history')) ?>">
                <span><?= $block->escapeHtml(__('View All')) ?></span>
            </a>
        <?php endif; ?>
    </div>
    <div class="block-content">
        <?= $block->getChildHtml() ?>
        <?php if ($count > 0) : ?>
            <div class="table-wrapper orders-recent">
                <table class="data table table-order-items recent" id="my-orders-table">
                    <caption class="table-caption"><?= $block->escapeHtml(__('Recent Books')) ?></caption>
                    <thead>
                    <tr>
                        <th scope="col" class="col id"><?= $block->escapeHtml(__('Book #')) ?></th>
                        <th scope="col" class="col date"><?= $block->escapeHtml(__('Date')) ?></th>
                        <th scope="col" class="col total"><?= $block->escapeHtml(__('Book Total')) ?></th>
                        <th scope="col" class="col status"><?= $block->escapeHtml(__('Status')) ?></th>
                        <th scope="col" class="col actions"><?= $block->escapeHtml(__('Action')) ?></th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php foreach ($_orders as $_order) : ?>
                        <tr>
                            <td data-th="<?= $block->escapeHtml(__('Book #')) ?>" class="col id"><?= $block->escapeHtml($_order->getRealOrderId()) ?></td>
                            <td data-th="<?= $block->escapeHtml(__('Date')) ?>" class="col date"><?= $block->escapeHtml($block->formatDate($_order->getCreatedAt())) ?></td>
                            <td data-th="<?= $block->escapeHtml(__('Order Total')) ?>" class="col total"><?= /* @noEscape */ $_order->formatPrice($_order->getGrandTotal()) ?></td>
                            <td data-th="<?= $block->escapeHtml(__('Status')) ?>" class="col status"><?= $block->escapeHtml($_order->getStatusLabel()) ?></td>
                            <td data-th="<?= $block->escapeHtml(__('Actions')) ?>" class="col actions">
                                <a href="<?= $block->escapeUrl($block->getViewUrl($_order)) ?>" class="action view">
                                    <span><?= $block->escapeHtml(__('View Book')) ?></span>
                                </a>
                                <?php if ($this->helper(\Magento\Sales\Helper\Reorder::class)
                                    ->canReorder($_order->getEntityId())
                                ) : ?>
                                    <a href="#" data-post='<?= /* @noEscape */
                                    $this->helper(\Magento\Framework\Data\Helper\PostHelper::class)
                                        ->getPostData($block->getReorderUrl($_order))
                                    ?>' class="action order">
                                        <span><?= $block->escapeHtml(__('Reorder')) ?></span>
                                    </a>
                                <?php endif ?>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        <?php else : ?>
            <div class="message info empty"><span><?= $block->escapeHtml(__('You have placed no orders.')) ?></span></div>
        <?php endif; ?>
    </div>
</div>
